Subject: [EAI] An extra comment on draft-ietf-eai-imap-utf8-07

From: Alexey Melnikov <[email-masked]>
Date: Thu, 10 Sep 2009 22:28:27 +0100

>    An IMAP client MUST NOT issue a SEARCH command that uses a mixture of
>    utf8-quoted syntax and a SEARCH CHARSET other than UTF-8.  If an IMAP
>    server receives such a SEARCH command, it SHOULD reject the command

Can somebody remind me why SHOULD is used here?
I think we want MUST here, i.e. we should say that any such SEARCH 
command must be rejected by the server.
The only question I have is whether this results in a BAD response, or a 
NO response. BAD is clearer here, as it is a client error.

>    with a BAD response (due to the conflicting charset labels).